# Class TopcatAuthUi

java.lang.Object
uk.ac.starlink.auth.UserInterface
uk.ac.starlink.topcat.TopcatAuthUi

public class TopcatAuthUi extends uk.ac.starlink.auth.UserInterface
Auth UserInterface implementation for use with Topcat. This uses a non-modal dialogue so that the reset of the GUI is still available when the login dialogue is posted.

Since:
  19 Oct 2023
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.auth.UserInterface

`CLI, GUI, NO_AUTH, PASSWORD_PROP, USERNAME_PROP`

## Constructor Summary

Constructors
Constructor
Description
`TopcatAuthUi()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canRetry()`
`void`
`message(String[] lines)`
`uk.ac.starlink.auth.UserPass`
`readUserPassword(String[] msgLines)`

### Methods inherited from class uk.ac.starlink.auth.UserInterface

`createAuthPanel, createFixed, createFixed, getParent, getPropertiesUi, getPropertiesUi, setParent`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TopcatAuthUi

public TopcatAuthUi()

## Method Details

### canRetry

public boolean canRetry()

Specified by:
  `canRetry` in class `uk.ac.starlink.auth.UserInterface`

### message

public void message(String[] lines)

Specified by:
  `message` in class `uk.ac.starlink.auth.UserInterface`

### readUserPassword

public uk.ac.starlink.auth.UserPass readUserPassword(String[] msgLines)

Specified by:
  `readUserPassword` in class `uk.ac.starlink.auth.UserInterface`